Skip to main content
Runs the analytics journey over raw FI data (in AA format) you supply in the request and returns the computed insights inline in the data object.

Headers

HeaderDescription
Content-Typeapplication/json
AuthorizationBasic <base64(client_id:client_secret)>
The Authorization value, journey_id, and exchange_application_id are provided by Moneyone during onboarding.

Sample request

Set journey_id to the value provided by Moneyone for this variant, and pass the raw FI data (in AA format) under input_data.aa_data. Each item carries the raw FI json_data and its id.
curl --location --request POST 'https://equal-gms-uat.moneyone.in/ie/transaction/journey/execute' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic <base64(client_id:client_secret)>' \
  --data-raw '{
    "journey_id": "<journey_id>",
    "exchange_application_id": "<exchange_application_id>",
    "input_data": {
      "aa_data": [
        {
          "json_data": {
            "ver": "1.21.0",
            "status": "success",
            "data": [
              {
                "linkReferenceNumber": "44e41c34-d8ea-42eb-bdfe-822696de735b",
                "maskedAccountNumber": "XXXXXXXXX5035",
                "fiType": "DEPOSIT",
                "bank": "FinShareBankServer",
                "Profile": {
                  "Holders": {
                    "type": "SINGLE",
                    "Holder": [
                      {
                        "name": "Suryakumar Choudary",
                        "dob": "1966-10-26",
                        "mobile": "9321695195",
                        "pan": "PFHAE6063H"
                      }
                    ]
                  }
                },
                "Summary": {
                  "currentBalance": "721.29",
                  "currency": "INR",
                  "type": "SAVINGS",
                  "ifscCode": "FNSB0000496",
                  "status": "ACTIVE"
                },
                "Transactions": {
                  "startDate": "2024-11-26T10:14:03.000Z",
                  "endDate": "2025-11-26T09:41:33.000Z",
                  "Transaction": [
                    {
                      "type": "DEBIT",
                      "mode": "OTHERS",
                      "amount": "100000.00",
                      "currentBalance": "987.02",
                      "transactionTimestamp": "2024-11-27T05:29:53.000Z",
                      "valueDate": "2024-11-27T00:00:00.000Z",
                      "txnId": "D241127168319",
                      "narration": "EMI",
                      "reference": "RFN00162658"
                    }
                  ]
                }
              }
            ]
          },
          "id": "9d48d427-aa5d-47dd-a7da-01f30708df8b"
        }
      ]
    }
  }'

Response

{
  "status": "SUCCESS",
  "message": "Success",
  "status_code": "success",
  "transaction_id": "62ef3153-b76f-4fe9-b4be-d1ba6e08267b",
  "journey_transaction_id": "EQ.GT.001fa187-d6cf-48b8-bd63-2414c05ce583#<journey_id>#570b92cc783f40b7b355e39d4501c1d8",
  "journey_id": "<journey_id>",
  "data": { <analytics data as JSON> }
}

Response fields

FieldDescription
statusOverall status, e.g. SUCCESS.
messageHuman-readable status message.
status_codeMachine-readable status code, e.g. success.
transaction_idUnique ID for this analytics transaction.
journey_transaction_idFully-qualified journey transaction reference.
journey_idThe journey_id provided by Moneyone for this variant.
dataThe computed analytics, returned inline as a JSON object.
The analytics output structure is configurable. To adjust the fields returned in data, contact support@moneyone.in.